package com.example.vaadintest;

import com.vaadin.Application;
import com.vaadin.ui.DragAndDropWrapper;
import com.vaadin.ui.GridLayout;
import com.vaadin.ui.Label;
import com.vaadin.ui.Window;

public class VaadintestApplication extends Application {
	@Override
	public void init() {
		Window mainWindow = new Window("Tester Application");
		
		GridLayout layout = new GridLayout();
		
		layout.addComponent(new Label("Testing"));
		
		DragAndDropWrapper layoutWrapper = new DragAndDropWrapper(layout);
		layoutWrapper.setWidth("600px");
		layoutWrapper.setHeight("200px");
		layoutWrapper.setStyleName("wrapper");
		
		layout.setSizeFull();
		layout.setStyleName("grid");
		
		mainWindow.addComponent(layoutWrapper);
		
		mainWindow.setSizeFull();
		setMainWindow(mainWindow);
		
		setTheme("vaadintesttheme");
	}

}
